summaryrefslogtreecommitdiff
path: root/qa/409
diff options
context:
space:
mode:
Diffstat (limited to 'qa/409')
-rwxr-xr-xqa/40938
1 files changed, 38 insertions, 0 deletions
diff --git a/qa/409 b/qa/409
new file mode 100755
index 0000000..9a4730e
--- /dev/null
+++ b/qa/409
@@ -0,0 +1,38 @@
+#!/bin/sh
+# PCP QA Test No. 409
+# pminfo -x with an archive and event records
+# also needs a working pmlogger to generate the input archive
+# ... see src/mkeventrec
+#
+# Copyright (c) 2010 Ken McDonell. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+status=0 # success is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+_filter()
+{
+ sed \
+ -e 's/[0-2][0-9]:[0-5][0-9]:[0-5][0-9]\.[0-9][0-9][0-9]/TIMESTAMP/g' \
+ | $PCP_AWK_PROG '
+want == 1 { print " value [blob]"; want = 0; next }
+want == 2 { print " inst blah, blah, blah"; want = 0; next }
+$1 == "sample.event.param_aggregate" { want = 1 }
+/^pmcd\.pmlogger\./ { want = 2 }
+ { print }'
+}
+
+# real QA test starts here
+pminfo -x -a src/eventrec-old | _filter
+
+# success, all done
+exit